edoc_lib(3)

NAME
edoc_lib - Utility functions for EDoc.

DESCRIPTION

See also: edoc.

DATA TYPES

FUNCTIONS

get_doc_env(App, Modules, Options) -> edoc:env() when App :: atom() | no_app, Modules :: [module()], Options :: proplist().

    Creates an environment data structure used by parts of EDoc for generating references, etc. See edoc:run/2 for a description of the options file_suffix, app_default and doc_path.

    See also: edoc:get_doc/3, edoc_extract:source/4.
infer_module_app(module()) -> no_app | {app, atom()}.

    Infer application containing the given module.

    It's expected that modules which are not preloaded and don't match the <app>/ebin/<mod>.beam path pattern will NOT have an app name inferred properly. no_app is returned in such cases.